org.eclipse.wst.jsdt.jsdoc

## Class XSLTMap

- java.lang.Object
- - org.eclipse.wst.jsdt.jsdoc.XSLTMap

    public class XSLTMap
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XSLTMap(java.io.File stylesheet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `applyMap(java.lang.String datastring)`
`void` `applyMap(java.lang.String dataString, java.io.OutputStream _os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSLTMap

    public XSLTMap(java.io.File stylesheet)

### Method Detail

#### applyMap

    public java.lang.String applyMap(java.lang.String datastring)
                              throws MappingException

Throws:
  `MappingException`

#### applyMap

    public void applyMap(java.lang.String dataString,
                         java.io.OutputStream _os)
                  throws MappingException

Throws:
  `MappingException`